<div style="margin-bottom:10px;">
    <button class="btn btn-primary btn-block" (click)="refine()">
        <i class="fa fa-refresh" aria-hidden="true"></i> Refine
    </button>
</div>
<p-dataList [value]="salesUnitRequirements" [paginator]="true" [rows]="10" [lazy]="true" (onLazyLoad)="loadDataLazy($event)" [totalRecords]="queryCount" [trackBy]="trackId">
    <p-header>
        List of VSO Draft
    </p-header>
    <ng-template let-salesUnitRequirement pTemplate="item">
        <div class="ui-g ui-fluid border-item">
            <div class="ui-g-12 ui-md-12">
                <div class="pull-left" style="font-weight:600">
                    {{salesUnitRequirement.productName | Message : 'motor'}} [{{salesUnitRequirement.colorDescription | Message : 'color'}}]
                </div>
                <div class="pull-right">{{salesUnitRequirement.requirementNumber}}</div>
            </div>
            <div class="ui-g-12 ui-md-12">
                <div class="pull-left" *ngIf="isKorsal === true">{{titleCustomer(salesUnitRequirement.personCustomer)}} {{salesUnitRequirement.customerName}}</div>
            </div>
            <div class="ui-g-12 ui-md-12">
                <div class="pull-left">Approval : <span style="color:red;" [innerHTML]="labelApproval(salesUnitRequirement)"></span></div>
                <div class="pull-right">
                    <span style="color:#1b9142;" *ngIf="notCompleteData(salesUnitRequirement) === ''">
                        <i class="fa fa-check-square-o fa-5x" aria-hidden="true"></i>
                    </span>
                    <span *ngIf="notCompleteData(salesUnitRequirement) !== ''">
                        <button class="btn btn-primary" (click)="showNotCompleteData(notCompleteData(salesUnitRequirement))">
                            <i class="fa fa-eye" aria-hidden="true"></i> list not complete
                        </button>
                    </span>
                </div>
            </div>
            <div class="ui-g-12 ui-md-12" style="text-align:center;border-top:1px solid #d9d9d9;padding-top:20px;">
                <div class="ui-g-12 ui-sm-12">
                    <button class="btn btn-primary btn-lg btn-block" (click)="edit(salesUnitRequirement)">
                        <i class="fa fa-pencil"></i> Edit
                    </button>
                </div>
            </div>
        </div>
    </ng-template>
</p-dataList>
<p-dialog
    header="List Not Complete Data"
    [(visible)]="displayCompleteData"
    [responsive]="true"
    modal="true"
>
    <div [innerHTML]="infoListNotComplete"></div>
    <p-footer>
        <button type="button" pButton icon="fa-times" (click)="displayCompleteData=false" label="Close"></button>
    </p-footer>
</p-dialog>
    